Bug 826407 - Description and all comments displayed on two places
Description and all comments displayed on two places
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
: Reopened
Depends On:
Blocks: BZ42
  Show dependency treegraph
 
Reported: 2012-05-30 02:58 EDT by Jan ONDREJ
Modified: 2014-10-12 18:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.2.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 01:27:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-05-30 02:58:02 EDT
Description of problem:
Bug description and comments are displayed before new comment input form and also after new comment form. This happens if user has non default bug comments order.

Version-Release number of selected component (if applicable):
version 4.2.1-1.6

How reproducible:
always

Steps to Reproduce:
1. https://bugzilla.redhat.com/userprefs.cgi
2. set "When viewing a bug, show comments in this order" to "Newest to oldest"
3. show any bug
  
Actual results:
Description
Comment 3
Comment 2
Comment 1
Additional Comments: (input form)
Description
Comment 3
Comment 2
Comment 1

Expected results:
Description and Comments displayed only once.
Comment 2 Simon Green 2012-05-31 00:42:17 EDT
Thank you for reporting this bug. It will be fixed in a release later today.

  -- simon
Comment 3 Jan ONDREJ 2012-06-20 23:38:07 EDT
One more thing with "Newest to oldest" order. Before (with older bugzilla) this order also changed position of "Additional Comments" box. This box was before other comments. This version places it always at end. I can read actual comments on top, but if I need to add new comments, I have to scroll to bottom of this page.
Comment 4 Simon Green 2012-06-21 01:27:28 EDT
(In reply to comment #3)
> One more thing with "Newest to oldest" order. Before (with older bugzilla)
> this order also changed position of "Additional Comments" box. This box was
> before other comments. This version places it always at end. I can read
> actual comments on top, but if I need to add new comments, I have to scroll
> to bottom of this page.

There is an option in Preferences -> General preferences on where you want the additional boxes comment to appear (default: after existing comments)

Note You need to log in before you can comment on or make changes to this bug.